Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TargetChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TargetChat

Direct Known Subclasses:
  `TdApi.TargetChatChosen`, `TdApi.TargetChatCurrent`, `TdApi.TargetChatInternalLink`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.TargetChat extends TdApi.Object permits TdApi.TargetChatCurrent, TdApi.TargetChatChosen, TdApi.TargetChatInternalLink
This class is an abstract base class. Describes the target chat to be opened.

## Constructor Summary

Constructors
Constructor
Description
`TargetChat()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TargetChat

public TargetChat()
Default class constructor.